Skip to main content
GET
/
triggers
List Triggers
curl --request GET \
  --url https://api.example.com/triggers/
[
  {
    "organization_id": "<string>",
    "agent_resource_id": "<string>",
    "runner_resource_id": "<string>",
    "trigger_type": "event",
    "id": "<string>",
    "target_organization_id": "<string>",
    "event_filters": [
      {
        "provider": "<string>",
        "resource_type": "<string>",
        "event_type": "<string>",
        "resource_name": "<string>"
      }
    ],
    "cron_expression": "<string>",
    "is_main_agent": false,
    "enabled": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Query Parameters

agent_resource_id
string | null

Filter by agent resource ID

trigger_type
enum<string> | null

Filter by trigger type Types of agent triggers.

Available options:
event,
schedule,
conversation
enabled
boolean | null

Filter by enabled state

Response

Successful Response

organization_id
string
required
agent_resource_id
string
required
runner_resource_id
string
required
trigger_type
enum<string>
required

Types of agent triggers.

Available options:
event,
schedule,
conversation
id
string | null
target_organization_id
string | null
event_filters
EventFilter · object[] | null
cron_expression
string | null
is_main_agent
boolean
default:false
enabled
boolean
default:true
created_at
string<date-time>
updated_at
string<date-time>